/**
* The main module
*
* @context atl.general
*/
var $ = require('speakeasy/jquery').jQuery;

$(document).ready(function() {
  
    var ids = ["action-view-source-link", "view-user-history-link"];

    for (var i = ids.length; i--;) {
    
        $('#'+ ids[i]).unbind('click'); // Remove Atlassian's behaviours
        $('#' + ids[i]).click(function(e){ // Add fresh behaviour
          
            e.preventDefault();
            me = $(this);
          
            $.get(me.attr('href'), function(response) {
            
                html = $(response).find('#main').html();
                var popup = new AJS.Dialog(800,500, 'aui-wiki-markup-dialog');
                popup.addHeader( me.html() );
                popup.addPanel('Wiki Markup', html);
                popup.addButton('Close', function (dialog) {dialog.hide();}, 'aui-test-cancel-button');
                $('#aui-wiki-markup-dialog .dialog-panel-body h1').remove();
                popup.show();
            }); 
          
            AJS.dropDownHider(); // Clean up unpleasantness with the drop-down menus
            return false;
        });
    }    
});